nz-page-header([nzGhost]="false")
  nz-breadcrumb(nz-page-header-breadcrumb, [nzAutoGenerate]="true", nzSeparator=">")
  nz-page-header-title
    ng-container {{ workflow.name }}
  nz-page-header-tags
    ryax-status-tag(*ngIf="isWorkflowStatusVisible", [label]="workflow.status | ryaxWorkflowStatusLabel", [color]="workflow.status | ryaxWorkflowStatusColor")
    ryax-status-tag(*ngIf="isWorkflowDeployStatusVisible", [label]="workflow.deploymentStatus | ryaxWorkflowDeploymentStatusLabel", [color]="workflow.deploymentStatus | ryaxWorkflowDeploymentStatusColor")
  nz-page-header-content(*ngIf="workflow.description")
    p.mb0(nz-paragraph, nzEllipsis, [nzEllipsisRows]="2") {{ workflow.description }}
  nz-page-header-extra
    ryax-action-button(label="Refresh", icon="sync", (click)="onRefresh()")
    ryax-confirm-button(*ngIf="!isDeployVisible", label="Deploy", icon="play-circle",
      confirmPlacement="bottomRight", confirmText="Are you sure to deploy this workflow ?", confirmOkText="Deploy", (confirmOk)="onDeploy()")
    ryax-confirm-button(*ngIf="!isStopVisible", label="Stop", icon="close-circle",
      confirmPlacement="bottomRight", confirmText="Are you sure to stop this workflow ?", confirmOkText="Stop", (confirmOk)="onStop()")
    a(nz-button, [href]="'app/execution/historic/' + workflow.id" )
      i(nz-icon, nzType="eye")
      | View executions


    ng-container(*ngIf="isWorkflowDeployStatusVisible")
      ng-container(*ngFor="let portal of workflowPortals")
        a(nz-button, [href]="'app/execution/' + portal.id + '/form'")
          i(nz-icon, nzType="audit")
          span {{ portal | ryaxWorkflowPortalName }}

    ryax-action-dropdown(menuPlacement="bottomLeft", icon="more", [menu]="actionMenu")
    nz-dropdown-menu(#actionMenu="nzDropdownMenu")
      ul(nz-menu)
        li(nz-menu-item, (click)="onCopy()")
          i(nz-icon, nzType="copy")
          span Copy workflow
        li(nz-menu-item, (click)="onEdit()", [nzDisabled]="isEditDisabled")
          i(nz-icon, nzType="edit")
          span Edit workflow
        li(nz-menu-item, (click)="onExport()")
          i(nz-icon, nzType="export")
          span Export workflow
        li(nz-menu-item, (click)="onShowModal(workflow)", [nzDisabled]="isDeleteDisabled")
          i(nz-icon, nzType="delete", nzTheme="twotone", nzTwotoneColor="red")
          span Delete workflow
